Bug 1021169 - powernow-k8 is not loaded automatically on kernel 3.11
powernow-k8 is not loaded automatically on kernel 3.11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 00:18 EDT by Yu Watanabe
Modified: 2013-12-24 20:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-22 23:18:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yu Watanabe 2013-10-20 00:18:35 EDT
Description of problem:

powernow-k8 module is not loaded automatically after kernel is updated to 3.11.

Version-Release number of selected component (if applicable):

kernel-3.11.4-101.fc18.x86_64
systemd-201-2.fc18.8.x86_64

How reproducible:

Steps to Reproduce:
1. update kernel to 3.11
2. reboot

Actual results:

powernow-k8 is not loaded automatically, and cpufreq is disabled.

Expected results:

powernow-k8 is auto-loaded and cpufreq is enabled.

Additional info:

This bug is the same as https://bugzilla.redhat.com/show_bug.cgi?id=1004456
By creating /etc/udev/rules.d/80-drivers-cpufreq.rules with the following single line,
------------
ENV{MODALIAS}=="?*", RUN{builtin}="kmod load $env{MODALIAS}"
------------
the module powernow-k8 is automatically loaded after system reboot.

Please pick up 
http://cgit.freedesktop.org/systemd/systemd/commit?id=bf7f800f2b3e93ccd1229d4717166f3a4d3af72f
to systemd for fedora 18.
Comment 1 Fedora End Of Life 2013-12-21 10:39:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-12-22 23:18:42 EST
This should be fixed by the last (or previous) update.
Comment 3 Yu Watanabe 2013-12-24 20:23:53 EST
Yes. Thank you!

Note You need to log in before you can comment on or make changes to this bug.